# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/SSLeay.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Form.pm) perl(HTTP/Cookies.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Net-SMS-Optimus
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Send SMS through www.optimus.pt
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RO/ROOT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module exports just one function that
is responsible for sending your sms through
www.optimus.pt portal.

    use Net::SMS::Optimus;

    send_sms($username, $password, $number, $msg);

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/sms_optimus

%files
%doc Changes README
%perl_vendor_privlib/N*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

